CREATE TABLE hts_sched_requests (
    SCHED_REQUEST_ID           NUMBER(18, 0),
    SCHEDULE_REQUEST_NUMBER    VARCHAR2(480),
    REQUEST_TIME               TIMESTAMP(6) ,
    REQUEST_TIME_STR           VARCHAR2(320),
    REQUEST_SOURCE             VARCHAR2(120),
    STATUS_IMP                 NUMBER(2, 0) ,
    STATUS_INT                 NUMBER(2, 0) ,
    SCHED_UNIT_ID              NUMBER(18, 0),
    IMPORT_MODE                VARCHAR2(80) ,
    IMPORT_START_DATE          DATE         ,
    IMPORT_END_DATE            DATE         ,
    GROUP_ID                   NUMBER(18, 0),
    PROCESS_ID                 NUMBER(9, 0) ,
    CHILD_PROCESS_ID           NUMBER(9, 0) ,
    PUBLISH_FLAG               VARCHAR2(4)  ,
    VALIDATION_FLAG            VARCHAR2(4)  ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    SCHED_REQUEST_ID           NUMBER(18, 0),
    SCHEDULE_REQUEST_NUMBER    VARCHAR2(480),
    REQUEST_TIME               TIMESTAMP(6) ,
    REQUEST_TIME_STR           VARCHAR2(320),
    REQUEST_SOURCE             VARCHAR2(120),
    STATUS_IMP                 NUMBER(2, 0) ,
    STATUS_INT                 NUMBER(2, 0) ,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    SCHED_UNIT_ID              NUMBER(18, 0),
    IMPORT_MODE                VARCHAR2(80) ,
    IMPORT_START_DATE          DATE         ,
    IMPORT_END_DATE            DATE         ,
    GROUP_ID                   NUMBER(18, 0),
    PROCESS_ID                 NUMBER(9, 0) ,
    CHILD_PROCESS_ID           NUMBER(9, 0) ,
    PUBLISH_FLAG               VARCHAR2(4)  ,
    VALIDATION_FLAG            VARCHAR2(4)  ,
    CONSTRAINT pk_hts_sched_requests PRIMARY KEY (SCHED_REQUEST_ID, SCHED_REQUEST_ID)
);
